Index: main/waeup.kofa/trunk/src/waeup/kofa/hostels/__init__.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/hostels/__init__.py	(revision 7809)
+++ main/waeup.kofa/trunk/src/waeup/kofa/hostels/__init__.py	(revision 7811)
@@ -2,6 +2,6 @@
 """
 # Make this a package.
-from waeup.sirp.hostels.container import HostelsContainer
-from waeup.sirp.hostels.hostel import Hostel, Bed
+from waeup.kofa.hostels.container import HostelsContainer
+from waeup.kofa.hostels.hostel import Hostel, Bed
 
 __all__ = [
Index: main/waeup.kofa/trunk/src/waeup/kofa/hostels/browser.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/hostels/browser.py	(revision 7809)
+++ main/waeup.kofa/trunk/src/waeup/kofa/hostels/browser.py	(revision 7811)
@@ -22,23 +22,23 @@
 from zope.i18n import translate
 from zope.component import getUtility
-from waeup.sirp.browser import (
-    SIRPEditFormPage, SIRPAddFormPage, SIRPDisplayFormPage,
+from waeup.kofa.browser import (
+    KOFAEditFormPage, KOFAAddFormPage, KOFADisplayFormPage,
     NullValidator)
-from waeup.sirp.browser.breadcrumbs import Breadcrumb
-from waeup.sirp.browser.resources import datepicker, datatable, tabs, warning
-from waeup.sirp.browser.layout import default_primary_nav_template
-from waeup.sirp.browser.pages import delSubobjects
-from waeup.sirp.browser.viewlets import (
+from waeup.kofa.browser.breadcrumbs import Breadcrumb
+from waeup.kofa.browser.resources import datepicker, datatable, tabs, warning
+from waeup.kofa.browser.layout import default_primary_nav_template
+from waeup.kofa.browser.pages import delSubobjects
+from waeup.kofa.browser.viewlets import (
     ManageActionButton, PrimaryNavTab)
-from waeup.sirp.browser.layout import jsaction, action
-from waeup.sirp.interfaces import ISIRPObject, ISIRPUtils
-from waeup.sirp.interfaces import MessageFactory as _
-from waeup.sirp.hostels.vocabularies import NOT_OCCUPIED
-from waeup.sirp.hostels.hostel import Hostel
-from waeup.sirp.hostels.interfaces import (
+from waeup.kofa.browser.layout import jsaction, action
+from waeup.kofa.interfaces import IKOFAObject, IKOFAUtils
+from waeup.kofa.interfaces import MessageFactory as _
+from waeup.kofa.hostels.vocabularies import NOT_OCCUPIED
+from waeup.kofa.hostels.hostel import Hostel
+from waeup.kofa.hostels.interfaces import (
     IHostelsContainer, IHostel, IBed, IBedAllocateStudent)
 
 def write_log_message(view, message):
-    ob_class = view.__implemented__.__name__.replace('waeup.sirp.','')
+    ob_class = view.__implemented__.__name__.replace('waeup.kofa.','')
     view.context.loggerInfo(ob_class, message)
     return
@@ -61,5 +61,5 @@
     """
 
-    grok.context(ISIRPObject)
+    grok.context(IKOFAObject)
     grok.order(5)
     grok.require('waeup.viewHostels')
@@ -96,5 +96,5 @@
             mapping = {'a':co[1], 'b':co[2], 'c':co[3]})
 
-class HostelsContainerPage(SIRPDisplayFormPage):
+class HostelsContainerPage(KOFADisplayFormPage):
     """The standard view for hostels containers.
     """
@@ -113,5 +113,5 @@
     text = _('Manage accommodation section')
 
-class HostelsContainerManagePage(SIRPDisplayFormPage):
+class HostelsContainerManagePage(KOFADisplayFormPage):
     """The manage page for hostel containers.
     """
@@ -148,5 +148,5 @@
         return
 
-class HostelAddFormPage(SIRPAddFormPage):
+class HostelAddFormPage(KOFAAddFormPage):
     """Add-form to add a hostel.
     """
@@ -175,5 +175,5 @@
         return
 
-class HostelDisplayFormPage(SIRPDisplayFormPage):
+class HostelDisplayFormPage(KOFADisplayFormPage):
     """ Page to display hostel data
     """
@@ -196,5 +196,5 @@
     target = 'manage'
 
-class HostelManageFormPage(SIRPEditFormPage):
+class HostelManageFormPage(KOFAEditFormPage):
     """ View to edit hostel data
     """
@@ -261,11 +261,11 @@
         switched = [] # for log file
         switched_translated = [] # for flash message
-        portal_language = getUtility(ISIRPUtils).PORTAL_LANGUAGE
+        portal_language = getUtility(IKOFAUtils).PORTAL_LANGUAGE
         preferred_language = self.request.cookies.get(
-            'sirp.language', portal_language)
+            'kofa.language', portal_language)
         for bed_id in child_id:
             message = self.context[bed_id].switchReservation()
             switched.append('%s (%s)' % (bed_id,message))
-            m_translated = translate(message, 'waeup.sirp',
+            m_translated = translate(message, 'waeup.kofa',
                 target_language=preferred_language)
             switched_translated.append('%s (%s)' % (bed_id,m_translated))
@@ -306,5 +306,5 @@
         return
 
-class BedManageFormPage(SIRPEditFormPage):
+class BedManageFormPage(KOFAEditFormPage):
     """ View to edit bed data
     """
Index: main/waeup.kofa/trunk/src/waeup/kofa/hostels/browser_templates/containermanagepage.pt
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/hostels/browser_templates/containermanagepage.pt	(revision 7809)
+++ main/waeup.kofa/trunk/src/waeup/kofa/hostels/browser_templates/containermanagepage.pt	(revision 7811)
@@ -1,4 +1,4 @@
 <form action="." tal:attributes="action request/URL"
-    i18n:domain="waeup.sirp"
+    i18n:domain="waeup.kofa"
     method="POST" enctype="multipart/form-data">
   <table>
Index: main/waeup.kofa/trunk/src/waeup/kofa/hostels/browser_templates/containerpage.pt
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/hostels/browser_templates/containerpage.pt	(revision 7809)
+++ main/waeup.kofa/trunk/src/waeup/kofa/hostels/browser_templates/containerpage.pt	(revision 7811)
@@ -1,8 +1,8 @@
-<div i18n:domain="waeup.sirp"
+<div i18n:domain="waeup.kofa"
    i18n:translate="" tal:condition="python: not len(context.keys())">
 There no subobjects registered yet.
 </div>
 
-<table i18n:domain="waeup.sirp">
+<table i18n:domain="waeup.kofa">
   <thead>
     <tr>
Index: main/waeup.kofa/trunk/src/waeup/kofa/hostels/browser_templates/hostelmanagepage.pt
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/hostels/browser_templates/hostelmanagepage.pt	(revision 7809)
+++ main/waeup.kofa/trunk/src/waeup/kofa/hostels/browser_templates/hostelmanagepage.pt	(revision 7811)
@@ -1,4 +1,4 @@
 <form action="." tal:attributes="action request/URL" method="POST"
-      i18n:domain="waeup.sirp" enctype="multipart/form-data">
+      i18n:domain="waeup.kofa" enctype="multipart/form-data">
 
   <ul class="tabs" data-tabs="tabs">
Index: main/waeup.kofa/trunk/src/waeup/kofa/hostels/catalog.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/hostels/catalog.py	(revision 7809)
+++ main/waeup.kofa/trunk/src/waeup/kofa/hostels/catalog.py	(revision 7811)
@@ -20,6 +20,6 @@
 import grok
 from grok import index
-from waeup.sirp.interfaces import IUniversity
-from waeup.sirp.hostels.interfaces import IBed
+from waeup.kofa.interfaces import IUniversity
+from waeup.kofa.hostels.interfaces import IBed
 
 class BedIndexes(grok.Indexes):
Index: main/waeup.kofa/trunk/src/waeup/kofa/hostels/container.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/hostels/container.py	(revision 7809)
+++ main/waeup.kofa/trunk/src/waeup/kofa/hostels/container.py	(revision 7811)
@@ -20,6 +20,6 @@
 """
 import grok
-from waeup.sirp.hostels.interfaces import IHostelsContainer, IHostel
-from waeup.sirp.utils.logger import Logger
+from waeup.kofa.hostels.interfaces import IHostelsContainer, IHostel
+from waeup.kofa.utils.logger import Logger
 
 class HostelsContainer(grok.Container, Logger):
@@ -48,5 +48,5 @@
         return
 
-    logger_name = 'waeup.sirp.${sitename}.hostels'
+    logger_name = 'waeup.kofa.${sitename}.hostels'
     logger_filename = 'hostels.log'
 
Index: main/waeup.kofa/trunk/src/waeup/kofa/hostels/hostel.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/hostels/hostel.py	(revision 7809)
+++ main/waeup.kofa/trunk/src/waeup/kofa/hostels/hostel.py	(revision 7811)
@@ -22,9 +22,9 @@
 from zope.event import notify
 from datetime import datetime
-from waeup.sirp.utils.helpers import attrs_to_fields
-from waeup.sirp.hostels.vocabularies import NOT_OCCUPIED
-from waeup.sirp.hostels.interfaces import IHostel, IBed, IBedAllocateStudent
-from waeup.sirp.students.interfaces import IBedTicket
-from waeup.sirp.interfaces import MessageFactory as _
+from waeup.kofa.utils.helpers import attrs_to_fields
+from waeup.kofa.hostels.vocabularies import NOT_OCCUPIED
+from waeup.kofa.hostels.interfaces import IHostel, IBed, IBedAllocateStudent
+from waeup.kofa.students.interfaces import IBedTicket
+from waeup.kofa.interfaces import MessageFactory as _
 
 class Hostel(grok.Container):
Index: main/waeup.kofa/trunk/src/waeup/kofa/hostels/interfaces.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/hostels/interfaces.py	(revision 7809)
+++ main/waeup.kofa/trunk/src/waeup/kofa/hostels/interfaces.py	(revision 7811)
@@ -18,15 +18,15 @@
 from zope.interface import invariant, Invalid
 from zope import schema
-from waeup.sirp.interfaces import ISIRPObject
-from waeup.sirp.interfaces import MessageFactory as _
-from waeup.sirp.hostels.vocabularies import (
+from waeup.kofa.interfaces import IKOFAObject
+from waeup.kofa.interfaces import MessageFactory as _
+from waeup.kofa.hostels.vocabularies import (
     bed_letters, blocks, special_handling, StudentSource)
 
-class IHostelsContainer(ISIRPObject):
+class IHostelsContainer(IKOFAObject):
     """A container for all kind of hostel objects.
 
     """
 
-class IHostel(ISIRPObject):
+class IHostel(IKOFAObject):
     """A base representation of hostels.
 
@@ -146,5 +146,5 @@
             raise Invalid(_('Bed categories overlap.'))
 
-class IBed(ISIRPObject):
+class IBed(IKOFAObject):
     """A base representation of beds.
 
Index: main/waeup.kofa/trunk/src/waeup/kofa/hostels/tests.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/hostels/tests.py	(revision 7809)
+++ main/waeup.kofa/trunk/src/waeup/kofa/hostels/tests.py	(revision 7811)
@@ -30,13 +30,13 @@
 from zope.catalog.interfaces import ICatalog
 from zope.component import queryUtility
-from waeup.sirp.app import University
-from waeup.sirp.hostels.interfaces import (
+from waeup.kofa.app import University
+from waeup.kofa.hostels.interfaces import (
     IHostelsContainer, IHostel, IBed)
-from waeup.sirp.hostels.container import HostelsContainer
-from waeup.sirp.hostels.hostel import Hostel, Bed
-from waeup.sirp.testing import (FunctionalLayer, FunctionalTestCase)
-from waeup.sirp.students.student import Student
-from waeup.sirp.students.accommodation import BedTicket
-from waeup.sirp.university.department import Department
+from waeup.kofa.hostels.container import HostelsContainer
+from waeup.kofa.hostels.hostel import Hostel, Bed
+from waeup.kofa.testing import (FunctionalLayer, FunctionalTestCase)
+from waeup.kofa.students.student import Student
+from waeup.kofa.students.accommodation import BedTicket
+from waeup.kofa.university.department import Department
 
 class HostelsContainerTestCase(FunctionalTestCase):
Index: main/waeup.kofa/trunk/src/waeup/kofa/hostels/vocabularies.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/hostels/vocabularies.py	(revision 7809)
+++ main/waeup.kofa/trunk/src/waeup/kofa/hostels/vocabularies.py	(revision 7811)
@@ -22,6 +22,6 @@
 from zope.catalog.interfaces import ICatalog
 from zc.sourcefactory.contextual import BasicContextualSourceFactory
-from waeup.sirp.interfaces import SimpleSIRPVocabulary
-from waeup.sirp.interfaces import MessageFactory as _
+from waeup.kofa.interfaces import SimpleKOFAVocabulary
+from waeup.kofa.interfaces import MessageFactory as _
 
 NOT_OCCUPIED = u'not occupied'
@@ -54,5 +54,5 @@
         return "%s - %s" % (value, self.acco_students(context)[value])
 
-bed_letters = SimpleSIRPVocabulary(
+bed_letters = SimpleKOFAVocabulary(
     (_('Bed A'),'A'),
     (_('Bed B'),'B'),
@@ -66,5 +66,5 @@
     )
 
-blocks = SimpleSIRPVocabulary(
+blocks = SimpleKOFAVocabulary(
     (_('Block A'),'A'),
     (_('Block B'),'B'),
@@ -84,5 +84,5 @@
     )
 
-special_handling = SimpleSIRPVocabulary(
+special_handling = SimpleKOFAVocabulary(
     (_('Regular Hostel'),'regular'),
     (_('Blocked Hostel'),'blocked'),
